function identification() {
    $.ajax({
        url: '/identification',
        type: 'post',
        dataType: 'json',
        data: { '_csrf': yii.getCsrfToken() },
        success: function (data) {
            // Обновление документа
            document.getElementById('nav').innerHTML = data.menu;
            $('meta[name=csrf-token]').prop("content", data._csrf);

            // Реинициализация
            reinitialization();
        }
    });
};

function authentication(form) {
    if (form == undefined) {
        form = { '_csrf': yii.getCsrfToken() };
    } else {
        form = $(form).serialize();
    }

    $.ajax({
        url: '/authentication',
        type: 'post',
        dataType: 'json',
        data: form,
        success: function (data, status) {
            // Обновление документа
            document.getElementById('nav').innerHTML = data.menu;
            document.getElementsByTagName('main')[0].innerHTML = data.form;
            $('meta[name=csrf-token]').prop("content", data._csrf);

            // Перенаправление
            history.pushState({}, document.title, '/');

            // Реинициализация
            reinitialization();
        },
        error: function (data, status) {
            // Обновление документа
            document.getElementsByTagName('main')[0].innerHTML = data.responseJSON.form;
            $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);

            if (statis === 403) {
                // Перенаправление
                history.pushState({}, document.title, '/');
            }

            // Реинициализация
            reinitialization();
        }
    });
};

function deauthentication() {
    $.ajax({
        url: '/deauthentication',
        type: 'post',
        dataType: 'json',
        data: { '_csrf': yii.getCsrfToken() },
        success: function (data) {
            // Обновление документа
            document.getElementById('nav').innerHTML = data.menu;
            document.getElementsByTagName('main')[0].innerHTML = data.form;
            $('meta[name=csrf-token]').prop("content", data._csrf);

            // Перенаправление
            history.pushState({}, document.title, '/');

            // Реинициализация
            reinitialization();
        }
    });
};

function registration(form) {
    $.ajax({
        url: '/registration',
        type: 'post',
        dataType: 'json',
        data: $(form).serialize(),
        success: function (data) {
            // Обновление документа
            document.getElementById('nav').innerHTML = data.menu;
            document.getElementsByTagName('main')[0].innerHTML = data.form;
            $('meta[name=csrf-token]').prop("content", data._csrf);

            // Перенаправление
            history.pushState({}, document.title, '/');

            // Реинициализация
            reinitialization();
        },
        error: function (data) {
            // Обновление документа
            document.getElementsByTagName('main')[0].innerHTML = data.responseJSON.form;
            $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);

            if (statis === 403) {
                // Перенаправление
                history.pushState({}, document.title, '/');
            }

            // Реинициализация
            reinitialization();
        }
    });
};

document.addEventListener('DOMContentLoaded', identification(), true);