<?php

namespace app\models;

use yii\base\Model;
use app\models\Account;

class RegistrationForm extends Model
{
    public $mail;
    public $pswd;

    public function rules()
    {
        return [
            [['mail', 'pswd'], 'required', 'message' => 'Заполните поле'],
            ['mail', 'unique', 'targetClass' => Account::class,  'message' => 'Почта уже привязана к другому аккаунту'],
        ];
    }

    public function attributeLabels()
    {
        return [
            'mail' => 'Почта',
            'pswd' => 'Пароль',
        ];
    }
}
